Name:		akaitools
Version:	1.4
Release:	1%{?dist}
Summary:	Tools for Akai S-series samplers

License:	GPLv2+
URL:		https://www.lsnl.jp/~ohsaki/software/akaitools/
Source0:	http://www.lsnl.jp/~ohsaki/software/akaitools/akaitools-1.4.tar.gz

BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Recommends:     sox

%description
akaitools is a set of utilities for Akai S-series samplers
(S1000/S1100/S2800/S3000/S3200/CD3000/S2000/S3000XL/S3200XL).
With akaitools, you can directly read, write, format HDDs/CD-ROMs
in Akai format via SCSI interface (read only for S1000/S1100 disks).
You can also convert other types of sound files (e.g., RIFF WAVE
files and Ensoniq EPS instrument files) to Akai S3000 native format.


%prep
%autosetup


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*


%files
%{_bindir}/akaiconv
%{_bindir}/akaiformat
%{_bindir}/akailist
%{_bindir}/akaimkdir
%{_bindir}/akairead
%{_bindir}/akaiwrite
%{_bindir}/any2akai
%{_bindir}/eps2akai
%{_bindir}/epslist
%{_bindir}/epsread
%{_bindir}/wav2akai
%{perl_vendorlib}/*
%{_mandir}/man1/*
%license COPYING


%changelog
* Tue Feb 16 2021 Jonathan Wakely <jwakely@fedoraproject.org> - 1.4-1
- Initial RPM package for Fedora
